# ContainsNamespace namespace

This namespace should not have a global include.

### Contents

- Reference
  - Namespaces
  - Functions

Even though it's in a single file — the contained namespace might or might not be in the same file and that could be misleading.

## Namespaces

namespace ContainsClass
  This namespace should not have a global include either.

## Functions

void foo()
  This function should have a local include.

## Function documentation

### void ContainsNamespace::foo()
#include <First.h>

This function should have a local include.